FreeBSD : corkscrew -- buffer overflow vulnerability (67a1c3ae-ad69-11df-9be6-0015587e2cc1)

This script is Copyright (C) 2010-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

The affected corkscrew versions use sscanf calls without proper bounds
checking. In the authentication file parsing routine this can cause an
exploitable buffer overflow condition. A similar but issue exists in
the server response code but appears to be non-exploitable.

See also :

http://people.freebsd.org/~niels/issues/corkscrew-20100821.txt
http://www.nessus.org/u?752cb5c1

Solution :

Update the affected package.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 48397 (freebsd_pkg_67a1c3aead6911df9be60015587e2cc1.nasl)

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now